### Function

# GLib IOChannel error_from_errno

#### Declaration

    GIOChannelError
    g_io_channel_error_from_errno (
      gint en
    )

#### Description

Converts an `errno` error number to a `GIOChannelError`.

#### Parameters

`en`

  Type: `gint`

  An `errno` error number, e.g. `EINVAL`

#### Return value

Type: `GIOChannelError`

A `GIOChannelError` error number, e.g. `G_IO_CHANNEL_ERROR_INVAL`.